Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.texture.spi
Class TGAImage.Header

    java.lang.Object
      com.sun.opengl.util.texture.spi.TGAImage.Header

Enclosing class:
  TGAImage

public static class TGAImage.Header
extends Object

This class reads in all of the TGA image header in addition it also reads in the imageID field as it is convenient to handle that here.

Version:
  1.1
Author:
  Robin Luiten

Field Summary
`static int` | `BLACKWHITE`
`static int` | `COLORMAPPED`
`static int` | `I_FOURWAY`
`static int` | `I_NOTINTERLEAVED` Field image descriptor / interleave values
`static int` | `I_TWOWAY`
`static int` | `ID_ATTRIBPERPIXEL` Field image descriptor bitfield values definitions
`static int` | `ID_INTERLEAVE`
`static int` | `ID_RIGHTTOLEFT`
`static int` | `ID_TOPTOBOTTOM`
`static int` | `NO_IMAGE` Set of possible image types in TGA file
`static int` | `TRUECOLOR`
`static int` | `TYPE_NEW` Set of possible file format TGA types
`static int` | `TYPE_OLD`
`static int` | `TYPE_UNK`
`static int` | `UBLACKWHITE`
`static int` | `UCOLORMAPPED`
`static int` | `UTRUECOLOR`

Method Summary
`byte` | `attribPerPixel()` bitfields in imageDescriptor
`byte` | `colorMapEntrySize()`
`int` | `colorMapLength()`
`int` | `colorMapType()`
`int` | `firstEntryIndex()` TGA image colour map fields
`int` | `height()`
`int` | `idLength()` initial TGA image data fields
`byte` | `imageDescriptor()`
`String` | `imageID()`
`byte[]` | `imageIDbuf()`
`int` | `imageType()`
`byte` | `interleave()`
`byte` | `pixelDepth()`
`boolean` | `rightToLeft()`
`int` | `size()`
`int` | `tgaType()`
`boolean` | `topToBottom()`
`String` | `toString()`
`int` | `width()`
`int` | `xOrigin()` TGA image specification fields
`int` | `yOrigin()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NEW

    public static final int TYPE_NEW

  Set of possible file format TGA types

  See Also:
    Constant Field Values

### TYPE_OLD

    public static final int TYPE_OLD

See Also:
  Constant Field Values

### TYPE_UNK

    public static final int TYPE_UNK

See Also:
  Constant Field Values

### NO_IMAGE

    public static final int NO_IMAGE

  Set of possible image types in TGA file

  See Also:
    Constant Field Values

### UCOLORMAPPED

    public static final int UCOLORMAPPED

See Also:
  Constant Field Values

### UTRUECOLOR

    public static final int UTRUECOLOR

See Also:
  Constant Field Values

### UBLACKWHITE

    public static final int UBLACKWHITE

See Also:
  Constant Field Values

### COLORMAPPED

    public static final int COLORMAPPED

See Also:
  Constant Field Values

### TRUECOLOR

    public static final int TRUECOLOR

See Also:
  Constant Field Values

### BLACKWHITE

    public static final int BLACKWHITE

See Also:
  Constant Field Values

### ID_ATTRIBPERPIXEL

    public static final int ID_ATTRIBPERPIXEL

  Field image descriptor bitfield values definitions

  See Also:
    Constant Field Values

### ID_RIGHTTOLEFT

    public static final int ID_RIGHTTOLEFT

See Also:
  Constant Field Values

### ID_TOPTOBOTTOM

    public static final int ID_TOPTOBOTTOM

See Also:
  Constant Field Values

### ID_INTERLEAVE

    public static final int ID_INTERLEAVE

See Also:
  Constant Field Values

### I_NOTINTERLEAVED

    public static final int I_NOTINTERLEAVED

  Field image descriptor / interleave values

  See Also:
    Constant Field Values

### I_TWOWAY

    public static final int I_TWOWAY

See Also:
  Constant Field Values

### I_FOURWAY

    public static final int I_FOURWAY

See Also:
  Constant Field Values

Method Detail

### tgaType

    public int tgaType()

### idLength

    public int idLength()

  initial TGA image data fields

### colorMapType

    public int colorMapType()

### imageType

    public int imageType()

### firstEntryIndex

    public int firstEntryIndex()

  TGA image colour map fields

### colorMapLength

    public int colorMapLength()

### colorMapEntrySize

    public byte colorMapEntrySize()

### xOrigin

    public int xOrigin()

  TGA image specification fields

### yOrigin

    public int yOrigin()

### width

    public int width()

### height

    public int height()

### pixelDepth

    public byte pixelDepth()

### imageDescriptor

    public byte imageDescriptor()

### attribPerPixel

    public byte attribPerPixel()

  bitfields in imageDescriptor

### rightToLeft

    public boolean rightToLeft()

### topToBottom

    public boolean topToBottom()

### interleave

    public byte interleave()

### imageIDbuf

    public byte[] imageIDbuf()

### imageID

    public String imageID()

### toString

    public String toString()

### size

    public int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.